> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token mint'e göre pool'ları getir

> Bir veya iki token mint'e göre pool'ları filtreler. Mint sırası dahili olarak normalleştirilir. 60 saniye önbelleğe alınır.



## OpenAPI

````yaml /tr/api-reference/openapi/api-v3.yaml get /pools/info/mint
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3, Solana blok zinciri için likidite havuzlarını, mint
    bilgilerini, farm detaylarını, IDO havuzlarını ve zincir meta verilerini
    sorgulamaya yönelik REST uç noktaları sunar. Cüzdanlar, toplayıcılar ve
    traderlar tarafından fiyat akışları, havuz verileri ve yönlendirme
    bilgilerine erişmek için kullanılır.
servers:
  - url: https://api-v3.raydium.io
    description: Üretim (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: Geliştirme (Devnet)
security: []
tags:
  - name: Main
    description: Zincir bilgisi, TVL ve yapılandırma için temel API uç noktaları
  - name: Mint
    description: Token mint bilgisi ve fiyatlandırma
  - name: Pools
    description: Likidite havuzu bilgisi, anahtarlar ve geçmiş veriler
  - name: Farms
    description: Farm havuzu bilgisi ve anahtarlar
  - name: IDO
    description: IDO havuzu bilgisi ve anahtarlar
paths:
  /pools/info/mint:
    get:
      tags:
        - Pools
      summary: Token mint'e göre pool'ları getir
      description: >-
        Bir veya iki token mint'e göre pool'ları filtreler. Mint sırası dahili
        olarak normalleştirilir. 60 saniye önbelleğe alınır.
      operationId: getPoolsInfoMint
      parameters:
        - name: mint1
          in: query
          required: true
          schema:
            type: string
        - name: mint2
          in: query
          required: false
          schema:
            type: string
        - name: poolType
          in: query
          required: true
          schema:
            type: string
            enum:
              - all
              - concentrated
              - standard
              - allFarm
              - concentratedFarm
              - standardFarm
        - name: poolSortField
          in: query
          required: true
          schema:
            type: string
            enum:
              - default
              - liquidity
              - volume24h
              - fee24h
              - apr24h
              - volume7d
              - fee7d
              - apr7d
              - volume30d
              - fee30d
              - apr30d
        - name: sortType
          in: query
          required: true
          schema:
            type: string
            enum:
              - desc
              - asc
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/PoolListResponse'
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        Ortak yanıt zarfı. `data` alanı, `allOf` aracılığıyla her uç noktanın
        yanıt şeması tarafından sağlanır ve bu nedenle temel zarfta tanımlanmaz.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: İstek kimliği (UUID)
        success:
          type: boolean
          description: İsteğin başarılı olup olmadığı
        msg:
          type: string
          description: Başarısız durumlarda hata mesajı
    PoolListResponse:
      type: object
      properties:
        count:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolInfoItem'
        hasNextPage:
          type: boolean
    PoolInfoItem:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        programId:
          type: string
        lpMint:
          type: string
        mint1:
          type: object
        mint2:
          type: object
        tvl:
          type: number
        lpPrice:
          type: number
        farmOngoingCount:
          type: number
        day:
          type: object
        week:
          type: object
        month:
          type: object

````